All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.models
Class TreeNode

    com.sas.servlet.tbeans.models.TreeNode

All Implemented Interfaces:
  ComplexStyleInterface, TreeViewStyleKeysInterface, com.sas.servlet.tbeans.models.DynamicTreeNodeInterface, NodeInterface, StaticNodeCellStyleInterface, StaticNodeCellStyleKeyInterface, com.sas.servlet.tbeans.models.TreeNodeExpandInterface, TreeNodeInterface, com.sas.servlet.tbeans.models.TreeNodeOnContextMenuInterface, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class TreeNode

implements TreeNodeInterface, com.sas.servlet.tbeans.models.TreeNodeExpandInterface, StaticNodeCellStyleInterface, StaticNodeCellStyleKeyInterface, ComplexStyleInterface, TreeViewStyleKeysInterface, com.sas.servlet.tbeans.models.DynamicTreeNodeInterface, com.sas.servlet.tbeans.models.TreeNodeOnContextMenuInterface

The TreeNode model creates nodes that can be used to create a hierarchical structure. These nodes can be used in the TreeModel used by the TreeView, which in turn can be used to display things such as organizational charts or other hierarchical structures.

See Also:
  `TreeView`, `Node`, `TreeNodeInterface`, Serialized Form

Field Summary

Fields inherited from interface com.sas.servlet.tbeans.html.TreeViewStyleKeysInterface
`TREEVIEW_BACKGROUND_IMAGE, TREEVIEW_BACKGROUND_IMAGE1, TREEVIEW_CURSOR_HAND, TREEVIEW_DESCRIPTION, TREEVIEW_DISABLED, TREEVIEW_DIV_IMAGE_SPACE, TREEVIEW_FLOAT, TREEVIEW_IMAGE, TREEVIEW_IMAGE_SPACE, TREEVIEW_LINK, TREEVIEW_LINKACTIVE, TREEVIEW_PANE, TREEVIEW_SELECTED, TREEVIEW_TABLE, TREEVIEW_TEXT`

Constructor Summary
`TreeNode()` Default constructor of TreeNode
`TreeNode(java.lang.String text)` Constructor of TreeNode
`TreeNode(java.lang.String name, java.lang.String text)` Constructor of TreeNode
`TreeNode(java.lang.String name, java.lang.String text, java.lang.String url)` Constructor of TreeNode
`TreeNode(java.lang.String name, java.lang.String text, java.lang.String url, java.lang.String defaultImage, java.lang.String expandedImage)` Constructor of TreeNode

Method Summary
`java.lang.String` | `getAccessKey()` Returns the accesskey for URL accessibility.
`java.lang.String` | `getDefaultImage()` Returns the name of the default image.
`java.lang.String` | `getDefaultImageAltText()` Returns the text which is to be used as alternate to an image.
`java.lang.String` | `getDescription()` Returns the description of this node.
`java.lang.String` | `getDeselectNodeFunctionName()` Gets the name of a JavaScript function which will be called to deselect a node.
`java.lang.String` | `getDisabledImage()` Returns the name of the image to be displayed when the node is disabled.
`java.lang.String` | `getDisabledImageAltText()` getDisabledImageAltText returns the text which is to be used as alternate to an image.
`java.lang.String` | `getExpandedImage()` Returns the name of the expanded image.
`java.lang.String` | `getExpandedImageAltText()` Returns the alternate text to the expanded image.
`java.lang.String` | `getImageLocation()` If present this property overrides the imageLocation property of the TreeView.
`java.lang.String` | `getName()` Returns the name of the node.
`java.lang.String` | `getNodeCellStyleClass()` Gets the node cell style class on the node.
`java.lang.String` | `getNodeCellStyleKey()` Gets the node cell style key on the node.
`java.lang.String` | `getNodeExpandedText()` Returns the value of the nodeExpandedText property.
`java.lang.String` | `getNodeText()` Returns the value of the nodeText property.
`java.lang.String` | `getPostExpandNodeFunctionName()` Gets the name of a user-supplied JavaScript function which will be called after the node expansion executes.
`java.lang.String` | `getPostSelectNodeFunctionName()` Gets the name of a user-supplied JavaScript function which will be called after the normal select behavior executes when a node is selected.
`java.lang.String` | `getPreExpandNodeFunctionName()` Gets the name of a user-supplied JavaScript function which will be called before the node expansion executes.
`java.lang.String` | `getPreSelectNodeFunctionName()` Gets the name of a user-supplied JavaScript function which will be called prior to normal select behavior when a node is selected.
`java.lang.String` | `getRendererFunctionName()` Gets the name of the JavaScript function which will be called to render a node.
`java.lang.String` | `getSelectNodeFunctionName()` Gets the name of a JavaScript function which will be called to select a node.
`TreeNodeInterface` | `getSourceParent()` Return the source parent of the node, which is the parent in a source tree where it originally came from if it was moved.
`java.lang.String` | `getStyleClassPrefix()` If present this property overrides the styleClassPrefix property of the TreeView.
`java.util.Map` | `getStyleMap()` Returns a Map that contains all the Style information for a component
`int` | `getTabIndex()` Returns the tab order value of the node.
`java.lang.String` | `getTarget()` Returns the value of the target= argument used on the anchor tags generated.
`java.lang.String` | `getText()` Returns the text associated with the node.
`java.lang.String` | `getTitle()` Returns the title to the URL link in the viewer, usually shown as a tooltip.
`java.lang.String` | `getURL()` Returns the url associated with the node.
`boolean` | `isEnabled()` Get the enabled state of the node, which determines the icon and style used for the node.
`boolean` | `isExpanded()` Returns the boolean value which indicates whether a node is expanded.
`boolean` | `isLastNode()` Returns the boolean value which determines if a node is the last node in a set of children.
`void` | `setAccessKey(java.lang.String accessKey)` Sets the accesskey if a URL link is being used.
`void` | `setDefaultImage(java.lang.String image)` Sets the name of the default image.
`void` | `setDefaultImageAltText(java.lang.String defaultImageAltText)` Sets the text which is to be used as alternate to an image.
`void` | `setDescription(java.lang.String desc)` Sets the description associated with this node.
`void` | `setDeselectNodeFunctionName(java.lang.String deselect)` Sets the name of a JavaScript function which will be called to deselect a node.
`void` | `setDisabledImage(java.lang.String image)` Sets the name of the image to be displayed when the node is disabled.
`void` | `setDisabledImageAltText(java.lang.String disabledImageAltText)` setDisabledImageAltText sets the alternate text to the disabled image in the viewer.
`void` | `setEnabled(boolean enabled)` Set the enabled state of the node, which will change the icon and style used for a disabled node.
`void` | `setExpanded(boolean state)` Sets the expanded state of the node.
`void` | `setExpandedImage(java.lang.String image)` Returns the name of the expanded image.
`void` | `setExpandedImageAltText(java.lang.String expandedImageAltText)` Sets the alternate text to the expanded image in the viewer.
`void` | `setImageLocation(java.lang.String imageLocation)` If present this property overrides the imageLocation property of the TreeView.
`void` | `setLastNode(boolean lastNode)` Sets a flag to determine if a node is the last node of a set of children.
`void` | `setName(java.lang.String name)` Sets the name of the node object.
`void` | `setNodeCellStyleClass(java.lang.String styleClass)` Sets the node cell style class on the node.
`void` | `setNodeCellStyleKey(java.lang.String styleKey)` Sets the node cell style key on the node.
`void` | `setPostExpandNodeFunctionName(java.lang.String postexpand)` Sets the name of a user-supplied JavaScript function which will be called after node expansion executes.
`void` | `setPostSelectNodeFunctionName(java.lang.String postselect)` Sets the name of a user-supplied JavaScript function which will be called after the normal select behavior executes when a node is selected.
`void` | `setPreExpandNodeFunctionName(java.lang.String preexpand)` Sets the name of a user-supplied JavaScript function which will be called before node expansion executes.
`void` | `setPreSelectNodeFunctionName(java.lang.String preselect)` Sets the name of a user-supplied JavaScript function which will be called prior to normal select behavior when a node is selected.
`void` | `setRendererFunctionName(java.lang.String renderer)` Sets the name of a JavaScript function which will be called to render a node.
`void` | `setSelectNodeFunctionName(java.lang.String select)` Sets the name of a JavaScript function which will be called to select a node.
`void` | `setSourceParent(TreeNodeInterface sourceParent)` Set the source parent of the node, which is the parent in a source tree where it originally came from if it was moved.
`void` | `setStyleClassPrefix(java.lang.String styleClassPrefix)` If present this property overrides the styleClassPrefix property of the TreeView.
`void` | `setTabIndex(int tabIndex)` Sets the tabbing order for access in viewer.
`void` | `setTarget(java.lang.String target)` Sets the value of the target= argument used on the anchor tags generated.
`void` | `setText(java.lang.String text)` Sets the text associated with the node.
`void` | `setTitle(java.lang.String title)` Sets the title to the URL link in the viewer, usually shown as a tooltip.
`void` | `setURL(java.lang.String url)` Sets the url associated with node.

Methods inherited from class com.sas.servlet.tbeans.models.Node
`addItems, getIndex, getNodeType, getNodeTypes, getObjectData, isExternalUpdateSupported, setExternalUpdateSupported, setNodeExpandedText, setNodeText, setNodeType, setObjectData, toString`

Methods inherited from interface com.sas.servlet.tbeans.models.NodeInterface
`getNodeType`

Constructor Detail

### TreeNode

    public TreeNode()

  Default constructor of TreeNode

### TreeNode

    public TreeNode(java.lang.String name,
                    java.lang.String text,
                    java.lang.String url,
                    java.lang.String defaultImage,
                    java.lang.String expandedImage)

  Constructor of TreeNode

  Parameters:
    `name` - the name of the TreeNode object that is created
    `text` - the text to display in tree
    `url` - the url to associate with the node
    `defaultImage` - the image to display when folder is closed
    `expandedImage` - the image to display when folder is open

### TreeNode

    public TreeNode(java.lang.String name,
                    java.lang.String text,
                    java.lang.String url)

  Constructor of TreeNode

  Parameters:
    `name` - the name of the TreeNode object that is created
    `text` - the text to display in tree
    `url` - the url to associate with the node

### TreeNode

    public TreeNode(java.lang.String name,
                    java.lang.String text)

  Constructor of TreeNode

  Parameters:
    `name` - the name of the TreeNode object that is created
    `text` - the text to displayed in tree

### TreeNode

    public TreeNode(java.lang.String text)

  Constructor of TreeNode

  Parameters:
    `name` - the name of the TreeNode object that is created
    `text` - the text to displayed in tree

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `TreeNodeInterface`
  Returns the name of the node.

  Specified by:
    `getName` in interface `TreeNodeInterface`
  Returns:
    name String

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `TreeNodeInterface`
  Sets the name of the node object.

  Specified by:
    `setName` in interface `TreeNodeInterface`
  Parameters:
    `name` - string name of the node.

### setExpanded

    public void setExpanded(boolean state)

  Description copied from interface: `TreeNodeInterface`
  Sets the expanded state of the node. True if the node is to be expanded and show it's children. This will also determine if the ExpandedImage or DefaultImage is to be used as the image. Default value is false. True indicates the image is expanded.

  Specified by:
    `setExpanded` in interface `TreeNodeInterface`
  Parameters:
    `state` - boolean value which determines if a node is expanded.

### isExpanded

    public boolean isExpanded()

  Description copied from interface: `TreeNodeInterface`
  Returns the boolean value which indicates whether a node is expanded.

  Specified by:
    `isExpanded` in interface `TreeNodeInterface`
  Returns:
    expanded boolean value which determines if a node is expanded.

### getText

    public java.lang.String getText()

  Description copied from interface: `TreeNodeInterface`
  Returns the text associated with the node. This is the text that will be displayed next to the node image.

  Specified by:
    `getText` in interface `TreeNodeInterface`
  Returns:
    text the string value which is the text displayed on the node.

### getNodeText

    public java.lang.String getNodeText()

  Description copied from interface: `NodeInterface`
  Returns the value of the nodeText property.

  Specified by:
    `getNodeText` in interface `NodeInterface`
  Overrides:
    `getNodeText` in class `Node`
  Returns:
    the nodeText property

### setText

    public void setText(java.lang.String text)

  Description copied from interface: `TreeNodeInterface`
  Sets the text associated with the node. This is the text that will be displayed next to the image on the node.

  Specified by:
    `setText` in interface `TreeNodeInterface`
  Parameters:
    `text` - the text string that is to be displayed next to the node.

### getURL

    public java.lang.String getURL()

  Description copied from interface: `TreeNodeInterface`
  Returns the url associated with the node. This URL may be used as the href attribute on an anchor tag for this node.

  Specified by:
    `getURL` in interface `TreeNodeInterface`
  Returns:
    the url link associated with the node
  See Also:
    `TreeNodeInterface.setURL(String)`, `BaseTreeView.setUsingURLLinks(boolean)`

### getNodeExpandedText

    public java.lang.String getNodeExpandedText()

  Description copied from interface: `NodeInterface`
  Returns the value of the nodeExpandedText property. The expanded text is usually a more descriptive version of the nodeText property. For example, a node that represents a file can return the file name for the nodeText property and the full path name for the nodeExpandedText property.

  Specified by:
    `getNodeExpandedText` in interface `NodeInterface`
  Overrides:
    `getNodeExpandedText` in class `Node`
  Returns:
    the nodeExpandedText property

### setURL

    public void setURL(java.lang.String url)

  Description copied from interface: `TreeNodeInterface`
  Sets the url associated with node. This URL may be used as the href attribute on an anchor tag for this node.

  Specified by:
    `setURL` in interface `TreeNodeInterface`
  Parameters:
    `url` - the url link associated with the node
  See Also:
    `TreeNodeInterface.getURL()`, `BaseTreeView.setUsingURLLinks(boolean)`

### getDefaultImage

    public java.lang.String getDefaultImage()

  Description copied from interface: `TreeNodeInterface`
  Returns the name of the default image. This should not be the fully qualified name such as

      http://myWebServer/gifs/imageName.gif

  Specify only the name of the file, in this example imageName.gif. The TreeView will supply the location of the images. If no image is specified the TreeView will determine the image name.

  Specified by:
    `getDefaultImage` in interface `TreeNodeInterface`
  Returns:
    the name of the default image.

### setDefaultImage

    public void setDefaultImage(java.lang.String image)

  Description copied from interface: `TreeNodeInterface`
  Sets the name of the default image. This should not be the fully qualified name such as

      http://myWebServer/gifs/imageName.gif

  Specify only the name of the file, in this example imageName.gif. The TreeView will supply the location of the images. If no image is specified the TreeView will determine the image name.

  Specified by:
    `setDefaultImage` in interface `TreeNodeInterface`

### getExpandedImage

    public java.lang.String getExpandedImage()

  Description copied from interface: `TreeNodeInterface`
  Returns the name of the expanded image. This should not be the fully qualified name such as

      http://myWebServer/gifs/imageName.gif

  Specify only the name of the file, in this example imageName.gif. The TreeView will supply the location of the images. If no image is specified the defaultImage will be used. If the defaultImage and the expandedImage are null the TreeView will determine the image name.

  Specified by:
    `getExpandedImage` in interface `TreeNodeInterface`
  Returns:
    the name of the expanded image.

### setExpandedImage

    public void setExpandedImage(java.lang.String image)

  Description copied from interface: `TreeNodeInterface`
  Returns the name of the expanded image. This should not be the fully qualified name such as

      http://myWebServer/gifs/imageName.gif

  Specify only the name of the file, in this example imageName.gif. The TreeView will supply the location of the images. If no image is specified the defaultImage will be used. If the defaultImage and the expandedImage are null the TreeView will determine the image name.

  Specified by:
    `setExpandedImage` in interface `TreeNodeInterface`

### setLastNode

    public void setLastNode(boolean lastNode)

  Description copied from interface: `TreeNodeInterface`
  Sets a flag to determine if a node is the last node of a set of children. Defaults to false.

  Specified by:
    `setLastNode` in interface `TreeNodeInterface`
  Parameters:
    `lastNode` - boolean value lastNode, true if node is the lastNode, false otherwise.

### isLastNode

    public boolean isLastNode()

  Description copied from interface: `TreeNodeInterface`
  Returns the boolean value which determines if a node is the last node in a set of children.

  Specified by:
    `isLastNode` in interface `TreeNodeInterface`
  Returns:
    lastNode boolean value, true if node is last node, false otherwise.

### setNodeCellStyleClass

    public void setNodeCellStyleClass(java.lang.String styleClass)

  Sets the node cell style class on the node.

### getNodeCellStyleClass

    public java.lang.String getNodeCellStyleClass()

  Gets the node cell style class on the node.

  Specified by:
    `getNodeCellStyleClass` in interface `StaticNodeCellStyleInterface`

### setNodeCellStyleKey

    public void setNodeCellStyleKey(java.lang.String styleKey)

  Sets the node cell style key on the node.

### getNodeCellStyleKey

    public java.lang.String getNodeCellStyleKey()

  Gets the node cell style key on the node.

  Specified by:
    `getNodeCellStyleKey` in interface `StaticNodeCellStyleKeyInterface`

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Description copied from interface: `TreeNodeInterface`
  Sets the accesskey if a URL link is being used. This allows the user to access the link via the keyboard. For example, if the accesskey is set to "C", a user can use the Alt-C combination to go to the link text and press enter to activate the link. This is only available in PROGRESSIVE mode.

  Specified by:
    `setAccessKey` in interface `TreeNodeInterface`
  Parameters:
    `accessKey` - key entry used as access key for link.

### getAccessKey

    public java.lang.String getAccessKey()

  Description copied from interface: `TreeNodeInterface`
  Returns the accesskey for URL accessibility. This allows a user to access a link using the Alt-'key' combination to access a link. This is only available in PROGRESSIVE mode.

  Specified by:
    `getAccessKey` in interface `TreeNodeInterface`
  Returns:
    key entry used as access key for link.

### setTabIndex

    public void setTabIndex(int tabIndex)

  Description copied from interface: `TreeNodeInterface`
  Sets the tabbing order for access in viewer. This is only available in PROGRESSIVE mode.

  Specified by:
    `setTabIndex` in interface `TreeNodeInterface`
  Parameters:
    `tabIndex` - the numeric order in which the tab key is used.

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `TreeNodeInterface`
  Returns the tab order value of the node. The tab order is the order in which the tab key will follow when tabbing in the viewer. This is only available in PROGRESSIVE mode.

  Specified by:
    `getTabIndex` in interface `TreeNodeInterface`
  Returns:
    tabIndex

### setDefaultImageAltText

    public void setDefaultImageAltText(java.lang.String defaultImageAltText)

  Description copied from interface: `TreeNodeInterface`
  Sets the text which is to be used as alternate to an image.

  Specified by:
    `setDefaultImageAltText` in interface `TreeNodeInterface`

### getDefaultImageAltText

    public java.lang.String getDefaultImageAltText()

  Description copied from interface: `TreeNodeInterface`
  Returns the text which is to be used as alternate to an image.

  Specified by:
    `getDefaultImageAltText` in interface `TreeNodeInterface`
  Returns:
    text used as an alternative to the image.

### setExpandedImageAltText

    public void setExpandedImageAltText(java.lang.String expandedImageAltText)

  Description copied from interface: `TreeNodeInterface`
  Sets the alternate text to the expanded image in the viewer.

  Specified by:
    `setExpandedImageAltText` in interface `TreeNodeInterface`

### getExpandedImageAltText

    public java.lang.String getExpandedImageAltText()

  Description copied from interface: `TreeNodeInterface`
  Returns the alternate text to the expanded image.

  Specified by:
    `getExpandedImageAltText` in interface `TreeNodeInterface`
  Returns:
    expandedImageAltText

### setTitle

    public void setTitle(java.lang.String title)

  Description copied from interface: `TreeNodeInterface`
  Sets the title to the URL link in the viewer, usually shown as a tooltip. This title should be a short but descriptive title to where the URL link will take them.

  Specified by:
    `setTitle` in interface `TreeNodeInterface`
  Parameters:
    `title` - descriptive title of the URL link.

### getTitle

    public java.lang.String getTitle()

  Description copied from interface: `TreeNodeInterface`
  Returns the title to the URL link in the viewer, usually shown as a tooltip. This title should be a short but descriptive title to where the URL link will take them.

  Specified by:
    `getTitle` in interface `TreeNodeInterface`
  Returns:
    title descriptive title to the URL link

### setDescription

    public void setDescription(java.lang.String desc)

  Description copied from interface: `TreeNodeInterface`
  Sets the description associated with this node.

  Specified by:
    `setDescription` in interface `TreeNodeInterface`
  Parameters:
    `desc` - The description of the node

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `TreeNodeInterface`
  Returns the description of this node.

  Specified by:
    `getDescription` in interface `TreeNodeInterface`
  Returns:
    the description of the node

### getTarget

    public java.lang.String getTarget()

  Description copied from interface: `TreeNodeInterface`
  Returns the value of the target= argument used on the anchor tags generated. This value determines where/how the links associated with the nodes on the tree are displayed.

  Specified by:
    `getTarget` in interface `TreeNodeInterface`
  Returns:
    target= argument of each folders anchor tag.

### setTarget

    public void setTarget(java.lang.String target)

  Description copied from interface: `TreeNodeInterface`
  Sets the value of the target= argument used on the anchor tags generated. This value determines where/how the links associated with the nodes on the tree are displayed.

  Specified by:
    `setTarget` in interface `TreeNodeInterface`

### setSourceParent

    public void setSourceParent(TreeNodeInterface sourceParent)

  Description copied from interface: `TreeNodeInterface`
  Set the source parent of the node, which is the parent in a source tree where it originally came from if it was moved.

  Specified by:
    `setSourceParent` in interface `TreeNodeInterface`

### getSourceParent

    public TreeNodeInterface getSourceParent()

  Description copied from interface: `TreeNodeInterface`
  Return the source parent of the node, which is the parent in a source tree where it originally came from if it was moved.

  Specified by:
    `getSourceParent` in interface `TreeNodeInterface`
  Returns:
    sourceParent the node's parent in a source tree.

### setEnabled

    public void setEnabled(boolean enabled)

  Description copied from interface: `TreeNodeInterface`
  Set the enabled state of the node, which will change the icon and style used for a disabled node.

  Specified by:
    `setEnabled` in interface `TreeNodeInterface`

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `TreeNodeInterface`
  Get the enabled state of the node, which determines the icon and style used for the node.

  Specified by:
    `isEnabled` in interface `TreeNodeInterface`

### getDisabledImage

    public java.lang.String getDisabledImage()

  Description copied from interface: `TreeNodeInterface`
  Returns the name of the image to be displayed when the node is disabled. The image name must be an absolute or relative URL.

  Specified by:
    `getDisabledImage` in interface `TreeNodeInterface`

### setDisabledImage

    public void setDisabledImage(java.lang.String image)

  Description copied from interface: `TreeNodeInterface`
  Sets the name of the image to be displayed when the node is disabled. The image name must be an absolute or relative URL.

  Specified by:
    `setDisabledImage` in interface `TreeNodeInterface`

### getDisabledImageAltText

    public java.lang.String getDisabledImageAltText()

  Description copied from interface: `TreeNodeInterface`
  getDisabledImageAltText returns the text which is to be used as alternate to an image.

  Specified by:
    `getDisabledImageAltText` in interface `TreeNodeInterface`
  Returns:
    defaultImageAltText text used as an alternative to the image.

### setDisabledImageAltText

    public void setDisabledImageAltText(java.lang.String disabledImageAltText)

  Description copied from interface: `TreeNodeInterface`
  setDisabledImageAltText sets the alternate text to the disabled image in the viewer.

  Specified by:
    `setDisabledImageAltText` in interface `TreeNodeInterface`

### getRendererFunctionName

    public java.lang.String getRendererFunctionName()

  Description copied from interface: `TreeNodeInterface`
  Gets the name of the JavaScript function which will be called to render a node. If present this property overrides the nodeRendererFunctionName property of the TreeView. Only available when nodeLoading is set to FULL.

  Specified by:
    `getRendererFunctionName` in interface `TreeNodeInterface`
  Returns:
    the name of the JavaScript function to render a node
  See Also:
    `TreeNodeInterface.setRendererFunctionName(String)`, `BaseTreeView.getNodeRendererFunctionName()`

### setRendererFunctionName

    public void setRendererFunctionName(java.lang.String renderer)

  Description copied from interface: `TreeNodeInterface`
  Sets the name of a JavaScript function which will be called to render a node. If present this property overrides the nodeRendererFunctionName property of the TreeView. The function should look similar to `<script> function nodeRenderer(node) { return node.text; } </script>` The returned value is set on the innerHTML of the HTML element. In addition to the default node renderer, one simple node renderer is provided which allows the node text to include HTML. It may be used by setting the node renderer as follows: `treenode.setRendererFunctionName("sas_TreeView_HTMLNodeRenderer");`

  Specified by:
    `setRendererFunctionName` in interface `TreeNodeInterface`
  See Also:
    `BaseTreeView.setNodeRendererFunctionName(String)`

### getSelectNodeFunctionName

    public java.lang.String getSelectNodeFunctionName()

  Description copied from interface: `TreeNodeInterface`
  Gets the name of a JavaScript function which will be called to select a node. If present this property overrides the selectNodeFunctionName property of the TreeView. Only available when nodeLoading is set to FULL.

  Specified by:
    `getSelectNodeFunctionName` in interface `TreeNodeInterface`
  Returns:
    the name of the JavaScript function called when node is selected.
  See Also:
    `TreeNodeInterface.setSelectNodeFunctionName(String)`, `BaseTreeView.getSelectNodeFunctionName()`

### setSelectNodeFunctionName

    public void setSelectNodeFunctionName(java.lang.String select)

  Description copied from interface: `TreeNodeInterface`
  Sets the name of a JavaScript function which will be called to select a node. If present this property overrides the selectNodeFunctionName property of the TreeView. This function should update the style of the selected node to differentiate it from nodes which are not selected, for example by highlighting it. Only available when nodeLoading is set to FULL. The function should look similar to `function selectNodeFunction(node,el) { if (node.text == "test";) el.className = "selectedTestStyle"; else el.className = "selectedNormalStyle"; }` The first parameter is the node being selected. The second parameter is the HTML element representing the node.

  Specified by:
    `setSelectNodeFunctionName` in interface `TreeNodeInterface`
  See Also:
    `TreeNodeInterface.getSelectNodeFunctionName()`, `BaseTreeView.setSelectNodeFunctionName(String)`

### getDeselectNodeFunctionName

    public java.lang.String getDeselectNodeFunctionName()

  Description copied from interface: `TreeNodeInterface`
  Gets the name of a JavaScript function which will be called to deselect a node. If present this property overrides the deselectNodeFunctionName property of the TreeView. Only available when nodeLoading is set to FULL.

  Specified by:
    `getDeselectNodeFunctionName` in interface `TreeNodeInterface`
  Returns:
    String The name of the JavaScript function called when node is deselected.
  See Also:
    `TreeNodeInterface.setDeselectNodeFunctionName(String)`, `BaseTreeView.getDeselectNodeFunctionName()`

### setDeselectNodeFunctionName

    public void setDeselectNodeFunctionName(java.lang.String deselect)

  Description copied from interface: `TreeNodeInterface`
  Sets the name of a JavaScript function which will be called to deselect a node. If present this property overrides the deselectNodeFunctionName property of the TreeView. Only available when nodeLoading is set to FULL. The function should look similar to `function deselectNodeFunction(node,el) { if (node.text == "test";) el.className = "deselectedTestStyle"; else el.className = "deselectedNormalStyle"; }` The first parameter is the node being selected. The second parameter is the HTML element representing the node.

  Specified by:
    `setDeselectNodeFunctionName` in interface `TreeNodeInterface`
  See Also:
    `BaseTreeView.setDeselectNodeFunctionName(String)`

### getImageLocation

    public java.lang.String getImageLocation()

  Description copied from interface: `TreeNodeInterface`
  If present this property overrides the imageLocation property of the TreeView.

  Specified by:
    `getImageLocation` in interface `TreeNodeInterface`
  See Also:
    `BaseTreeView.getImageLocation()`

### setImageLocation

    public void setImageLocation(java.lang.String imageLocation)

  Description copied from interface: `TreeNodeInterface`
  If present this property overrides the imageLocation property of the TreeView.

  Specified by:
    `setImageLocation` in interface `TreeNodeInterface`
  See Also:
    `BaseTreeView.setImageLocation(String)`

### getStyleClassPrefix

    public java.lang.String getStyleClassPrefix()

  Description copied from interface: `TreeNodeInterface`
  If present this property overrides the styleClassPrefix property of the TreeView.

  Specified by:
    `getStyleClassPrefix` in interface `TreeNodeInterface`
  See Also:
    `BaseTreeView.getStyleClassPrefix()`

### setStyleClassPrefix

    public void setStyleClassPrefix(java.lang.String styleClassPrefix)

  Description copied from interface: `TreeNodeInterface`
  If present this property overrides the styleClassPrefix property of the TreeView.

  Specified by:
    `setStyleClassPrefix` in interface `TreeNodeInterface`
  See Also:
    `BaseTreeView.getStyleClassPrefix()`

### getStyleMap

    public java.util.Map getStyleMap()

  Description copied from interface: `ComplexStyleInterface`
  Returns a Map that contains all the Style information for a component

  Specified by:
    `getStyleMap` in interface `ComplexStyleInterface`
  Returns:
    styleMap Map of all the style information

### getPreSelectNodeFunctionName

    public java.lang.String getPreSelectNodeFunctionName()

  Description copied from interface: `TreeNodeInterface`
  Gets the name of a user-supplied JavaScript function which will be called prior to normal select behavior when a node is selected. Only available when nodeLoading is set to FULL.

  Specified by:
    `getPreSelectNodeFunctionName` in interface `TreeNodeInterface`
  Returns:
    the name of the user-supplied JavaScript function called prior to normal select behavior when a node is selected.
  See Also:
    `TreeNodeInterface.setPreSelectNodeFunctionName(String)`

### setPreSelectNodeFunctionName

    public void setPreSelectNodeFunctionName(java.lang.String preselect)

  Description copied from interface: `TreeNodeInterface`
  Sets the name of a user-supplied JavaScript function which will be called prior to normal select behavior when a node is selected. This function should return a boolean indicating success. A return value of FALSE will stop normal behavior from processing. Only available when nodeLoading is set to FULL. The function should look similar to `function preSelectNodeFunction(node,el) { ...some user-defined action; return true; }` The first parameter is the node being selected. The second parameter is the HTML element representing the node.

  Specified by:
    `setPreSelectNodeFunctionName` in interface `TreeNodeInterface`
  See Also:
    `TreeNodeInterface.getPreSelectNodeFunctionName()`

### getPostSelectNodeFunctionName

    public java.lang.String getPostSelectNodeFunctionName()

  Description copied from interface: `TreeNodeInterface`
  Gets the name of a user-supplied JavaScript function which will be called after the normal select behavior executes when a node is selected. Only available when nodeLoading is set to FULL.

  Specified by:
    `getPostSelectNodeFunctionName` in interface `TreeNodeInterface`
  Returns:
    the name of the user-supplied JavaScript function called after the normal select behavior when a node is selected.
  See Also:
    `TreeNodeInterface.setPreSelectNodeFunctionName(String)`

### setPostSelectNodeFunctionName

    public void setPostSelectNodeFunctionName(java.lang.String postselect)

  Description copied from interface: `TreeNodeInterface`
  Sets the name of a user-supplied JavaScript function which will be called after the normal select behavior executes when a node is selected. This function should return a boolean indicating success. A return value of FALSE will NOT stop normal behavior from processing as the normal behavior has processed prior to this function being called. Only available when nodeLoading is set to FULL. The function should look similar to `function postSelectNodeFunction(node,el) { ...some user-defined action; return true; }` The first parameter is the node being selected. The second parameter is the HTML element representing the node.

  Specified by:
    `setPostSelectNodeFunctionName` in interface `TreeNodeInterface`
  See Also:
    `TreeNodeInterface.getPreSelectNodeFunctionName()`

### getPostExpandNodeFunctionName

    public java.lang.String getPostExpandNodeFunctionName()

  Description copied from interface: `TreeNodeExpandInterface`
  Gets the name of a user-supplied JavaScript function which will be called after the node expansion executes.

  Specified by:
    `getPostExpandNodeFunctionName` in interface `com.sas.servlet.tbeans.models.TreeNodeExpandInterface`
  Returns:
    the name of the user-supplied JavaScript function called after node expansion
  See Also:
    `TreeNodeExpandInterface.setPostExpandNodeFunctionName(String)`

### setPostExpandNodeFunctionName

    public void setPostExpandNodeFunctionName(java.lang.String postexpand)

  Description copied from interface: `TreeNodeExpandInterface`
  Sets the name of a user-supplied JavaScript function which will be called after node expansion executes. This function should return a boolean indicating success. A return value of FALSE will NOT stop normal behavior from processing as the normal behavior has processed prior to this function being called. The function should look similar to `function postExpandNodeFunction(node,el) { ...some user-defined action; return true; }` The first parameter is the node being selected. The second parameter is the HTML element representing the node.

  Specified by:
    `setPostExpandNodeFunctionName` in interface `com.sas.servlet.tbeans.models.TreeNodeExpandInterface`
  See Also:
    `TreeNodeExpandInterface.getPostExpandNodeFunctionName()`

### getPreExpandNodeFunctionName

    public java.lang.String getPreExpandNodeFunctionName()

  Description copied from interface: `TreeNodeExpandInterface`
  Gets the name of a user-supplied JavaScript function which will be called before the node expansion executes.

  Specified by:
    `getPreExpandNodeFunctionName` in interface `com.sas.servlet.tbeans.models.TreeNodeExpandInterface`
  Returns:
    the name of the user-supplied JavaScript function called before node expansion
  See Also:
    `TreeNodeExpandInterface.setPreExpandNodeFunctionName(String)`

### setPreExpandNodeFunctionName

    public void setPreExpandNodeFunctionName(java.lang.String preexpand)

  Description copied from interface: `TreeNodeExpandInterface`
  Sets the name of a user-supplied JavaScript function which will be called before node expansion executes. This function should return a boolean indicating success. A return value of FALSE will NOT stop normal behavior from processing as the normal behavior has processed prior to this function being called. The function should look similar to `function postExpandNodeFunction(node,el) { ...some user-defined action; return true; }` The first parameter is the node being selected. The second parameter is the HTML element representing the node.

  Specified by:
    `setPreExpandNodeFunctionName` in interface `com.sas.servlet.tbeans.models.TreeNodeExpandInterface`
  See Also:
    `TreeNodeExpandInterface.getPreExpandNodeFunctionName()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.